<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Служба поддержки');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 3) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li> <li class="active" typeof="v:Breadcrumb"><span property="v:title">Служба поддержки</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Управление тикетами</div>';
if (isset($_GET['x'])) {
if ($b['level'] < 4) {
header('location:/');
die();
}
$x = (int)$_GET['x'];
DB::$dbs->query("DELETE FROM support_mess WHERE tid = ?", [$x]);
DB::$dbs->query("DELETE FROM support WHERE id = ?", [$x]);
header('location: ?');
die();
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `support`");
if ($look == 0) {
err('Ничего нет!');
}
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM `support` ORDER BY `id` DESC LIMIT $start,$num");
while($a = $sql->fetch()) {
$WHO = Nick($a['user_id']);
$last = DB::$dbs->queryFetch("SELECT * FROM `support_mess` WHERE `tid` = ? ORDER BY `time` DESC LIMIT 1", [$a['id']]);
$_WHO = Nick($last['user_id']);
$author = ($last > 0 ? $_WHO : $WHO);
$list_cat = [1 => 'Оплата через WEBMONEY/QIWI', 2 => 'Проблемы с платежами', 3 => 'Изменение ника', 4 => 'Обжалование наказаний', 5 => 'Общие вопросы', 6 => 'Восстановление пароля', 7 => 'Изменение пароля', 8 => 'Найденные ошибки', 9 => 'Случаи мошенничества', 10 => 'Финансы, биллинг', 11 => 'Служба поддержки', 12 => 'Жалобы на администрацию', 13 => 'Заявки на участие в закрытых тестированиях.']; // массив с категориями

echo '<div class="row text_box"><a href="/support/view.html?id='.$a['id'].'"><i class="md-shuffle"></i>    '.$a['name'].' ('.vr($a['time']).')</a></br>Категория: '.strtr($a['cat'], $list_cat).'<br/>Авт.: '.Nick($a['user_id']).' / Посл.: '.$author.'<br/>Статус: <b>'.($a['type'] == 1 ? 'Открытый тикет':'Закрытый тикет').'</b></div>';
}
if ($k_page > 1) {
str('?',$k_page,$page);
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>